summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEric Blake <eblake@redhat.com>2010-12-10 15:30:56 -0700
committerEric Blake <eblake@redhat.com>2010-12-13 16:04:56 -0700
commit7aaf4e6439c473c659ee2841cf9d89632aca7bb1 (patch)
tree1a5bd7487a7266894bf53712e353c80d29821173
parentbuild: quote AC_LANG_PROGRAM to avoid warnings with autoconf 2.68 (diff)
downloadlibvirt-7aaf4e6439c473c659ee2841cf9d89632aca7bb1.tar.gz
libvirt-7aaf4e6439c473c659ee2841cf9d89632aca7bb1.tar.bz2
libvirt-7aaf4e6439c473c659ee2841cf9d89632aca7bb1.zip
test: fix commandtest under autobuild.sh
* tests/commandtest.c (mymain): Kill off any leaked-in fds. * autobuild.sh: Don't leak fds. Signed-off-by: Eric Blake <eblake@redhat.com>
-rwxr-xr-xautobuild.sh2
-rw-r--r--tests/commandtest.c6
2 files changed, 7 insertions, 1 deletions
diff --git a/autobuild.sh b/autobuild.sh
index 8248a5954..91e2ab2b8 100755
--- a/autobuild.sh
+++ b/autobuild.sh
@@ -38,7 +38,7 @@ make install
exec 3>&1
st=$(
exec 4>&1 >&3
- { make check syntax-check 2>&1; echo $? >&4; } | tee "$RESULTS"
+ { make check syntax-check 2>&1 3>&- 4>&-; echo $? >&4; } | tee "$RESULTS"
)
exec 3>&-
test "$st" = 0
diff --git a/tests/commandtest.c b/tests/commandtest.c
index a1bcf688e..333dd4d57 100644
--- a/tests/commandtest.c
+++ b/tests/commandtest.c
@@ -688,6 +688,12 @@ mymain(int argc, char **argv)
if (chdir("/tmp") < 0)
return(EXIT_FAILURE);
+ /* Kill off any inherited fds that might interfere with our
+ * testing. */
+ close(3);
+ close(4);
+ close(5);
+
virInitialize();
const char *const newenv[] = {